View Issue Details

IDProjectCategoryView StatusLast Update
0000096OpenFOAM[All Projects] Bugpublic2011-06-16 21:22
ReporterwyldckatAssigned Touser4 
PrioritynormalSeveritytrivialReproducibilityalways
Status resolvedResolutionfixed 
Product Version 
Fixed in Version 
Summary0000096: Building ParaView + MPI with "WM_MPLIB=SYSTEMOPENMPI" fails
DescriptionThe variable "MPI_ARCH_PATH" is empty when using "WM_MPLIB=SYSTEMOPENMPI", so running "makeParaView -mpi" will not work without the needed path.

Fix: simply add this to settings.sh, after libDir is defined:
  export MPI_ARCH_PATH="${libDir%/*}"
TagsNo tags attached.

Activities

wyldckat

2010-12-01 20:46

updater   ~0000154

And it seems that this is also useful in makeParaViewFunctions, in the function "addMpiSupport()":
addCMakeVariable MPI_EXTRA_LIBRARY=$MPI_ARCH_PATH/lib/libmpi_cxx.so

This was tested on Ubuntu 10.04 i686 with "makeParaView -mpi -python", using the system's OpenMPI.

albertop

2011-04-05 00:47

reporter   ~0000318

I confirm this on openSUSE 11.4.

user4

2011-04-05 09:55

  ~0000319

Does paraview need the mpi_cxx library? It is a bit messy. Do you happen to know the equivalent syntax (to strip off lib) for csh?

wyldckat

2011-04-05 10:36

updater   ~0000320

Here you go:
setenv MPI_ARCH_PATH $libDir:h

source: http://stackoverflow.com/questions/1083728/how-can-i-strip-the-filename-from-a-path-in-tcsh#1083801

Uhm, would it be too much to ask for a git repo for ThirdParty scripts? ;)

user4

2011-06-16 21:22

  ~0000444

MPI_ARCH_PATH set to "${libDir%/*}".

Thanks for the fix.

Issue History

Date Modified Username Field Change
2010-12-01 18:43 wyldckat New Issue
2010-12-01 20:46 wyldckat Note Added: 0000154
2011-04-05 00:47 albertop Note Added: 0000318
2011-04-05 09:55 user4 Note Added: 0000319
2011-04-05 10:36 wyldckat Note Added: 0000320
2011-06-16 21:22 user4 Note Added: 0000444
2011-06-16 21:22 user4 Status new => resolved
2011-06-16 21:22 user4 Fixed in Version => 2.0.x
2011-06-16 21:22 user4 Resolution open => fixed
2011-06-16 21:22 user4 Assigned To => user4